package com.keao.edu.user.entity;

import com.keao.edu.auth.api.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(employee):
 */
public class Employee {

	/**  */
	@ApiModelProperty(value = "用户编号",required = false)
	private Integer userId;
	
	/** 工作性质（兼职、全职、临时） */
	@ApiModelProperty(value = "工作性质（兼职、全职、临时）",required = false)
	private String jobNature;
	
	/** 学历 */
	@ApiModelProperty(value = "学历",required = false)
	private String educationBackground;
	
	/** 毕业学校 */
	@ApiModelProperty(value = "毕业学校",required = false)
	private String graduateSchool;
	
	/** 技术职称 */
	@ApiModelProperty(value = "技术职称",required = false)
	private String technicalTitles;
	
	/** 入职时间 */
	@ApiModelProperty(value = "入职时间",required = false)
	private java.util.Date entryDate;
	
	/** 证件类型 */
	@ApiModelProperty(value = "证件类型",required = false)
	private String certificateType;
	
	/** 证件号码 */
	@ApiModelProperty(value = "证件号码",required = false)
	private String certificateNum;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;
	
	/** 介绍 */
	@ApiModelProperty(value = "介绍",required = false)
	private String introduction;
	
	/** 离职日期 */
	@ApiModelProperty(value = "离职日期",required = false)
	private java.util.Date demissionDate;
	
	/** 联系地址 */
	@ApiModelProperty(value = "联系地址",required = false)
	private String contactAddress;
	
	/** 邮政编码 */
	@ApiModelProperty(value = "邮政编码",required = false)
	private String postalCode;

	@ApiModelProperty(value = "所属角色",required = false)
	private String roleName;

	@ApiModelProperty(value = "是否删除0否1是",required = false)
	private boolean delFlag;

	@ApiModelProperty(value = "员工信息",required = false)
	private SysUser sysUser;

	private Integer organId;

	private String tenantId;

	private String employeeType;

	public String getEmployeeType() {
		return employeeType;
	}

	public void setEmployeeType(String employeeType) {
		this.employeeType = employeeType;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(boolean delFlag) {
		this.delFlag = delFlag;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public SysUser getSysUser() {
		return sysUser;
	}

	public void setSysUser(SysUser sysUser) {
		this.sysUser = sysUser;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setJobNature(String jobNature){
		this.jobNature = jobNature;
	}
	
	public String getJobNature(){
		return this.jobNature;
	}
			
	public void setEducationBackground(String educationBackground){
		this.educationBackground = educationBackground;
	}
	
	public String getEducationBackground(){
		return this.educationBackground;
	}
			
	public void setGraduateSchool(String graduateSchool){
		this.graduateSchool = graduateSchool;
	}
	
	public String getGraduateSchool(){
		return this.graduateSchool;
	}
			
	public void setTechnicalTitles(String technicalTitles){
		this.technicalTitles = technicalTitles;
	}
	
	public String getTechnicalTitles(){
		return this.technicalTitles;
	}
			
	public void setEntryDate(java.util.Date entryDate){
		this.entryDate = entryDate;
	}
	
	public java.util.Date getEntryDate(){
		return this.entryDate;
	}
			
	public void setCertificateType(String certificateType){
		this.certificateType = certificateType;
	}
	
	public String getCertificateType(){
		return this.certificateType;
	}
			
	public void setCertificateNum(String certificateNum){
		this.certificateNum = certificateNum;
	}
	
	public String getCertificateNum(){
		return this.certificateNum;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setIntroduction(String introduction){
		this.introduction = introduction;
	}
	
	public String getIntroduction(){
		return this.introduction;
	}
			
	public void setDemissionDate(java.util.Date demissionDate){
		this.demissionDate = demissionDate;
	}
	
	public java.util.Date getDemissionDate(){
		return this.demissionDate;
	}
			
	public void setContactAddress(String contactAddress){
		this.contactAddress = contactAddress;
	}
	
	public String getContactAddress(){
		return this.contactAddress;
	}
			
	public void setPostalCode(String postalCode){
		this.postalCode = postalCode;
	}
	
	public String getPostalCode(){
		return this.postalCode;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
